"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
var Alert_1 = require("./Alert");
exports.ErrorAlert = function (_a) {
    var children = _a.children, props = tslib_1.__rest(_a, ["children"]);
    return React.createElement(Alert_1.Alert, tslib_1.__assign({ variant: "danger" }, props),
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faExclamationCircle }),
        " ",
        children && children.message);
};
exports.useErrorAlert = function (props) {
    return core_1.useErrorAlert(tslib_1.__assign({ Component: exports.ErrorAlert }, props));
};
//# sourceMappingURL=ErrorAlert.js.map