"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Button_1 = tslib_1.__importDefault(require("react-bootstrap/Button"));
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var core_1 = require("@reactionable/core");
var Confirmation_1 = require("../../confirmation/Confirmation");
var Notification_1 = require("../../notification/Notification");
var Loader_1 = require("../../loader/Loader");
;
exports.Delete = function (_a) {
    var title = _a.title, label = _a.label, props = tslib_1.__rest(_a, ["title", "label"]);
    return React.createElement(core_1.Delete, tslib_1.__assign({ confirmationTitle: title, confirmation: Confirmation_1.Confirmation, successNotification: Notification_1.useSuccessNotification(title), errorNotification: Notification_1.useErrorNotification(), loader: Loader_1.useLoader() }, props),
        React.createElement(Button_1.default, { variant: "danger", title: title || '' },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faTrashAlt }),
            label));
};
//# sourceMappingURL=Delete.js.map