"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Header_1 = require("./header/Header");
var Footer_1 = require("./footer/Footer");
;
exports.Layout = function (_a) {
    var _b = _a.header, header = _b === void 0 ? {} : _b, _c = _a.footer, footer = _c === void 0 ? {} : _c, children = _a.children;
    return React.createElement(React.Fragment, null,
        React.createElement(Header_1.Header, tslib_1.__assign({}, header)),
        React.createElement("main", null, children),
        React.createElement(Footer_1.Footer, tslib_1.__assign({}, footer)));
};
exports.useLayout = function (ComponentToLoad) {
    var lazyComponent = function (props) {
        return React.createElement(exports.Layout, null,
            React.createElement(ComponentToLoad, tslib_1.__assign({}, props)));
    };
    return lazyComponent;
};
//# sourceMappingURL=Layout.js.map