"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Spinner_1 = tslib_1.__importDefault(require("react-bootstrap/Spinner"));
var react_i18next_1 = require("react-i18next");
var core_1 = require("@reactionable/core");
exports.Loader = function (_a) {
    var _b = _a.overlay, overlay = _b === void 0 ? true : _b;
    var t = react_i18next_1.useTranslation().t;
    var spinnerElement = React.createElement(Spinner_1.default, { animation: "grow", role: "status", variant: "primary" },
        React.createElement("span", { className: "sr-only" }, t('Loading')));
    if (!overlay) {
        return spinnerElement;
    }
    return React.createElement("div", { className: "spinner--overlay", style: {
            width: '100%',
            height: '100%',
            position: 'fixed',
            top: '50%',
            left: '50%',
        } }, spinnerElement);
};
exports.useLoader = function (props) {
    if (props === void 0) { props = {}; }
    return core_1.useLoader(tslib_1.__assign(tslib_1.__assign({}, props), { Component: exports.Loader }));
};
//# sourceMappingURL=Loader.js.map