import * as React from 'react';
import { IErrorAlertProps as IErrorAlertPropsCore, IError } from '@reactionable/core';
import { IAlertProps } from './Alert';
export declare type IErrorAlertProps = IAlertProps & IErrorAlertPropsCore & {
    children?: IError;
};
export declare type ErrorAlertComponent = React.FC<IErrorAlertProps>;
export declare const ErrorAlert: ErrorAlertComponent;
export declare const useErrorAlert: (props?: IErrorAlertProps | undefined) => import("@reactionable/core").IUseErrorAlert;
