import * as React from 'react';
import { IListProps as ICoreListProps } from '@reactionable/core';
export interface IListProps<Data> extends Omit<ICoreListProps<Data>, 'render' | 'LoaderComponent' | 'errorAlert' | 'noDataAlert'> {
    noData: string | React.ReactNode;
    head: Array<React.ReactElement | string>;
    render: (item: Data) => React.ReactElement;
}
export declare type ListComponent<Data = any> = React.FC<IListProps<Data>>;
export declare const List: ListComponent;
