"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_i18next_1 = require("react-i18next");
var Table_1 = tslib_1.__importDefault(require("react-bootstrap/Table"));
var core_1 = require("@reactionable/core");
var Loader_1 = require("../../loader/Loader");
var Alert_1 = require("../../alert/Alert");
var ErrorAlert_1 = require("../../alert/ErrorAlert");
;
exports.List = function (_a) {
    var head = _a.head, render = _a.render, noData = _a.noData, props = tslib_1.__rest(_a, ["head", "render", "noData"]);
    var t = react_i18next_1.useTranslation().t;
    var errorAlert = ErrorAlert_1.useErrorAlert();
    var noDataAlert = Alert_1.useAlert({ children: noData, 'variant': 'warning', 'className': 'text-center' });
    return React.createElement(core_1.List, tslib_1.__assign({}, props, { LoaderComponent: Loader_1.Loader, errorAlert: errorAlert, noDataAlert: noDataAlert, render: function (data) { return React.createElement(Table_1.default, { striped: true, bordered: true, hover: true, responsive: true },
            React.createElement("thead", null,
                React.createElement("tr", null, head.map(function (item) { return 'string' === typeof item ? React.createElement("th", { key: item }, t(item)) : item; }))),
            React.createElement("tbody", null, data.map(function (item) { return render(item); }))); } }));
};
//# sourceMappingURL=List.js.map