"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Modal_1 = tslib_1.__importDefault(require("react-bootstrap/Modal"));
var core_1 = require("@reactionable/core");
exports.Modal = function (_a) {
    var title = _a.title, children = _a.children, body = _a.body, footer = _a.footer, modalProps = tslib_1.__rest(_a, ["title", "children", "body", "footer"]);
    return React.createElement(Modal_1.default, tslib_1.__assign({ centered: true, show: true, backdrop: "static", dialogClassName: "modal-lg" }, modalProps),
        React.createElement(Modal_1.default.Header, { closeButton: true },
            React.createElement(Modal_1.default.Title, null, title)),
        children,
        body && React.createElement(Modal_1.default.Body, null, body),
        footer && React.createElement(Modal_1.default.Footer, null, footer));
};
exports.useModal = function (props) {
    return core_1.useModal(tslib_1.__assign({ Component: exports.Modal }, props));
};
//# sourceMappingURL=Modal.js.map